Subject: 405 DMA api

From: Armin Kuster <[email-masked]>
Date: Sun, 24 Feb 2002 20:56:06 +0000

Hello,

I would like to have the 405 dma share the same dma api as the current
pmac. I propose to make the asm/dma.h _generic_ and move all the power
Mac unique stuff into a seperate file such as "pmac_dma.h".  The dma.h
would then be the gateway for other ppc archs by using "CONFIG_<arch>"
to determine which hearder to pull in.  I made the pmac_pma.h as the
default.  I have tested this on the  walnut and can only compile for the
pmac.  I have included a patch and I  would like some feedback and to
have the pmac_dma verified.

files:
include/asm-ppc/dma.h <- generic defines and config selection
include/asm-ppc/pmac_dma.h     <- most code from dma.h
include/asm-ppc/ppc405_dma.h <- changed func names
arch/ppc/kernel/ppc405_dma.c <- changes to refect new header scheme

TIA
Armin